Bug 175280 - Review Request: perl-Digest-BubbleBabble
Review Request: perl-Digest-BubbleBabble
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jose Pedro Oliveira
David Lawrence
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-12-08 09:58 EST by Paul Howarth
Modified: 2009-03-12 23:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-03 05:49:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2005-12-08 09:58:47 EST
Spec Name or Url: http://www.city-fan.org/~paul/extras/perl-Digest-BubbleBabble/perl-Digest-BubbleBabble.spec
SRPM Name or Url: http://www.city-fan.org/~paul/extras/perl-Digest-BubbleBabble/perl-Digest-BubbleBabble-0.01-1.src.rpm
Description:

Digest::BubbleBabble takes a message digest (generated by either of the MD5 or
SHA-1 message digest algorithms) and creates a fingerprint of that digest in
"bubble babble" format. Bubble babble is a method of representing a message
digest as a string of "real" words, to make the fingerprint easier to remember.
The "words" are not necessarily real words, but they look more like words than
a string of hex characters.

Bubble babble fingerprinting is used by the SSH2 suite (and, consequently, by
Net::SSH::Perl, the Perl SSH implementation) to display easy-to-remember key
fingerprints. The key (a DSA or RSA key) is converted into a textual form,
digested using Digest::SHA1, and run through bubblebabble to create the key
fingerprint.
Comment 1 Jose Pedro Oliveira 2006-01-02 21:50:55 EST
APPROVED

MD5SUMS:
4878d9431d3ec38af7cd7af8244ced61  perl-Digest-BubbleBabble-0.01-1.src.rpm

0e8ef3de82ae909cfaeddf8269140c17  Digest-BubbleBabble-0.01.tar.gz
b445444d0535b90461e005fb350fac7a  perl-Digest-BubbleBabble.spec

Sources:
* Digest-BubbleBabble-0.01.tar.gz: MD5 digest checked OK against CPAN copy

Good:
* Package name follows standard
* URL and Sources/Patches url are valid
* License verified (main POD page)
* dist tag present
* perl(:MODULE_COMPAT_xxx) present
* perl vendor libs present
* File permissions are ok
* Builds without problems in FC-3, FC-4, and devel
* (Un)installs without problems in FC-3, FC-4, and devel
* No reported problems in
  http://rt.cpan.org/NoAuth/Bugs.html?Dist=Digest-BubbleBabble
* All the Net::DNS BubbleBabble related tests were successful
  (prove -v t/05-rr-sshfp.t)


Minor notes:
* The README could be dropped: only contains installation instructions
* Kwalitee problems (non-critical; distro improvements)
  http://cpants.dev.zsi.at/dist/Digest-BubbleBabble
  http://cpants.dev.zsi.at/kwalitee/32030
Comment 2 Paul Howarth 2006-01-03 05:49:31 EST
Build on target fedora-development-extras succeeded.

README removed (surprised I missed that one myself).

Thanks for the review.
Comment 3 Paul Howarth 2009-03-11 06:56:57 EDT
Package Change Request
======================
Package Name: perl-Digest-BubbleBabble
New Branches: EL-4 EL-5
Owners: pghmcfc
InitialCC: perl-sig
Comment 4 Kevin Fenzi 2009-03-12 23:00:35 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.